//			Copyright (c) 1993 by
//			Advanced Visual Systems Inc.
//			All Rights Reserved
//	
//	This software comprises unpublished confidential information of
//	Advanced Visual Systems Inc. and may numt be used, copied or made
//	available to anyone, except in accordance with the license
//	under which it is furnished.
//	
//	This file is under Perforce control
//	$Id: //depot/express/fcs992/include/avs/ag.hxx#1 $
//

// ag.hxx - AG-kit header file
	
#ifndef AG_HXX
#define AG_HXX

#include <avs/gd.h>

#include <avs/ag/drawarea.hxx>
#include <avs/ag/viewport.hxx>
#include <avs/ag/world.hxx>
#include <avs/ag/graphics.hxx>
#include <avs/ag/text.hxx>
#include <avs/ag/axis.hxx>
#include <avs/ag/useraxis.hxx>
#include <avs/ag/tickline.hxx>
#include <avs/ag/graph.hxx>
#include <avs/ag/graphvp.hxx>
#include <avs/ag/graphleg.hxx>
#include <avs/ag/piechart.hxx>
#include <avs/ag/contvp.hxx>
#include <avs/ag/contwrld.hxx>
#include <avs/ag/contleg.hxx>
#include <avs/ag/contour.hxx>
#include <avs/ag/polaxis.hxx>
#include <avs/ag/poltick.hxx>
#include <avs/ag/polworld.hxx>
#include <avs/ag/polgrwrl.hxx>
#include <avs/ag/polgraph.hxx>

extern "C" int AGRenderer(GDobject *, GDstate *);
extern "C" int AGPicker(GDobject *, GDstate *);

#endif
